> For the complete documentation index, see [llms.txt](https://docs.mdintegrations.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mdintegrations.com/partner-api-reference/cases/offerings/patch-a-case-offering-of-a-case.md).

# Patch a case offering of a case

Updates an individual offering on the case. While the case is in an early status, the offering's product details (dosage, pharmacy, laboratory or exam selection, and more) can be changed; any DoseSpot prescription or prior authorization already submitted for it is cancelled, and the offering is reset to pending so it can be resent.

```json
{"openapi":"3.1.0","info":{"title":"MD Integrations","version":"1.0.0"},"tags":[{"name":"Cases/Offerings"}],"servers":[{"url":"https://api.mdintegrations.dev/v1","description":"Development"}],"security":[{"oauth2":[]}],"components":{"securitySchemes":{"oauth2":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://api.mdintegrations.dev/v1/partner/auth/token","scopes":{"*":"Full partner account access"}}}}},"schemas":{"PatchCaseOfferingRequest":{"type":"object","title":"PatchCaseOfferingRequest"},"CaseOfferingResource":{"type":"object","properties":{"id":{"type":"string","description":"Attributes;"},"case_offering_id":{"type":"string"},"title":{"type":"string"},"name":{"type":"string"},"directions":{"type":"string"},"is_additional_approval_needed":{"type":"string"},"thank_you_note":{"type":"string"},"clinical_note":{"type":"string"},"status":{"type":"string"},"status_details":{"type":"string"},"has_recommendations":{"type":"string"},"recommendation_message":{"type":["string","null"],"description":"virtual attribute from CasePrescription model"},"store_url":{"type":["string","null"],"description":"virtual attribute from Offering model"},"product_name":{"type":["string","null"],"description":"virtual attribute from Offering model"},"image_file_id":{"type":["string","null"],"description":"virtual attribute from Offering model"},"order":{"type":"string","description":"virtual attribute from Offering model"},"upcharged":{"type":"string"},"offering_cost":{"type":"string"},"clinician_extra_fee":{"type":"string"},"is_important":{"type":"string"},"offerable_type":{"type":"string"},"offerable_id":{"type":"string"},"order_status":{"type":"string"},"order_date":{"type":"string"},"order_details":{"type":"string"},"order_updated":{"type":"string"},"programs":{"type":"string"},"external_id":{"type":"string"},"created_at":{"type":"string"},"updated_at":{"type":"string"},"deleted_at":{"type":"string"},"submitted_at":{"type":"string"},"product":{"type":"string"},"product_id":{"type":["string","null"]},"product_type":{"type":["string","null"]},"diseases":{"type":"array","items":{"$ref":"#/components/schemas/DiseaseResource"}}},"required":["id","case_offering_id","title","name","directions","is_additional_approval_needed","thank_you_note","clinical_note","status","status_details","has_recommendations","recommendation_message","store_url","product_name","image_file_id","order","upcharged","offering_cost","clinician_extra_fee","is_important","offerable_type","offerable_id","order_status","order_date","order_details","order_updated","programs","external_id","created_at","updated_at","deleted_at","submitted_at","product","product_id","product_type","diseases"],"title":"CaseOfferingResource"},"DiseaseResource":{"type":"object","properties":{"id":{"type":"string","description":"Attributes;"},"disease_id":{"type":"string"},"icd":{"type":"string"},"description":{"type":"string"},"dosespot_id":{"type":["integer","null"]},"created_at":{"type":["string","null"],"format":"date-time"},"updated_at":{"type":["string","null"],"format":"date-time"},"deleted_at":{"type":["string","null"],"format":"date-time"},"is_primary":{"type":"string"},"pivot":{"type":"object","description":"Pivot Attributes (Compound);","properties":{"disease_id":{"type":"string","description":"When loaded;"},"partner_compound_id":{"type":"string"},"created_at":{"type":"string"},"updated_at":{"type":"string"}},"required":["disease_id","partner_compound_id","created_at","updated_at"]}},"required":["id","disease_id","icd","description","dosespot_id","created_at","updated_at","deleted_at"],"title":"DiseaseResource"}},"responses":{"AuthorizationException":{"description":"Authorization error","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"Error overview."}},"required":["message"]}}}},"ModelNotFoundException":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"Error overview."}},"required":["message"]}}}},"ValidationException":{"description":"Validation error","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"Errors overview."},"errors":{"type":"object","description":"A detailed description of each field that failed validation.","additionalProperties":{"type":"array","items":{"type":"string"}}}},"required":["message","errors"]}}}}}},"paths":{"/partner/cases/{case}/offerings/{casePrescription}":{"patch":{"operationId":"v1.partners-app.cases.offerings.patch","description":"Updates an individual offering on the case. While the case is in an early status, the\noffering's product details (dosage, pharmacy, laboratory or exam selection, and more)\ncan be changed; any DoseSpot prescription or prior authorization already submitted\nfor it is cancelled, and the offering is reset to pending so it can be resent.","summary":"Patch a case offering of a case","tags":["Cases/Offerings"],"parameters":[{"name":"case","in":"path","required":true,"description":"The case ID","schema":{"type":"string"}},{"name":"casePrescription","in":"path","required":true,"description":"The case prescription ID","schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/PatchCaseOfferingRequest"},{"type":"object","properties":{"thank_you_note":{"type":"string"},"clinical_note":{"type":"string"}}}]}}}},"responses":{"200":{"description":"Array of `CaseOfferingResource`","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CaseOfferingResource"}}}}},"403":{"$ref":"#/components/responses/AuthorizationException"},"404":{"$ref":"#/components/responses/ModelNotFoundException"},"422":{"$ref":"#/components/responses/ValidationException"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mdintegrations.com/partner-api-reference/cases/offerings/patch-a-case-offering-of-a-case.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
